const LotteryAnimation = {
    animationInterval: null,
    entries: [
        'Drawing winners...',
        'Shuffling entries...',
        'Calculating results...',
        'Almost there...',
        'Finalizing selection...'
    ],
    currentIndex: 0,

    start: function() {
        const container = document.querySelector('.spinning-entries');
        if (!container) return;

        // Add animation class
        container.classList.add('animate');

        // Start cycling through text
        this.animationInterval = setInterval(() => {
            container.textContent = this.entries[this.currentIndex];
            this.currentIndex = (this.currentIndex + 1) % this.entries.length;
        }, 500);

        // Add spinning animation
        container.style.animation = 'spin 1s infinite linear';
    },

    stop: function() {
        const container = document.querySelector('.spinning-entries');
        if (!container) return;

        // Clear interval
        if (this.animationInterval) {
            clearInterval(this.animationInterval);
            this.animationInterval = null;
        }

        // Reset animation
        container.classList.remove('animate');
        container.style.animation = 'none';
        this.currentIndex = 0;
    },

    setEntries: function(newEntries) {
        if (Array.isArray(newEntries) && newEntries.length > 0) {
            this.entries = newEntries;
        }
    }
}; 