jQuery(document).ready(function($) {
    // Handle share button clicks
    $('.share-lottery').on('click', function(e) {
        e.preventDefault();
        
        const url = $(this).data('url');
        const lotteryName = $(this).data('lottery');
        const button = $(this);
        
        // Copy to clipboard
        navigator.clipboard.writeText(url).then(function() {
            // Store original text
            const originalText = button.text();
            
            // Show success message
            button.text('Copied!');
            
            // Create and show notification
            const notification = $('<div class="notice notice-success is-dismissible"><p>' + 
                'Share link for "' + lotteryName + '" copied to clipboard!</p></div>');
            
            // Insert notification at the top of the page
            $('.wrap > h1').after(notification);
            
            // Reset button text after 2 seconds
            setTimeout(function() {
                button.text(originalText);
            }, 2000);
            
            // Remove notification after 5 seconds
            setTimeout(function() {
                notification.fadeOut(function() {
                    $(this).remove();
                });
            }, 5000);
            
        }).catch(function(err) {
            // Show error message if copying fails
            const notification = $('<div class="notice notice-error is-dismissible"><p>' + 
                'Failed to copy share link. Please try again.</p></div>');
            $('.wrap > h1').after(notification);
        });
    });
}); 