<?php
if (!defined('ABSPATH')) {
    exit;
}
?>
<div class="wrap">
    <h1><?php echo esc_html(get_admin_page_title()); ?></h1>

    <div class="lottery-picker-container">
        <div class="lottery-form">
            <form id="lottery-picker-form" enctype="multipart/form-data">
                <?php wp_nonce_field('lottery_picker_nonce', 'lottery_nonce'); ?>
                
                <div class="form-group">
                    <label for="lottery_name"><?php _e('Lottery Name', 'lottery-picker'); ?></label>
                    <input type="text" id="lottery_name" name="lottery_name" class="regular-text" required>
                </div>

                <div class="form-group">
                    <label for="num_winners"><?php _e('Number of Winners', 'lottery-picker'); ?></label>
                    <input type="number" id="num_winners" name="num_winners" min="1" value="1" class="small-text" required>
                </div>

                <!-- Main CSV Upload Section -->
                <div class="form-group main-csv-section">
                    <label for="csv_file"><?php _e('Upload CSV File', 'lottery-picker'); ?></label>
                    <input type="file" id="csv_file" name="csv_file" accept=".csv" required>
                    
                    <div id="column-selector" class="column-selector hidden">
                        <label><?php _e('Select Column for Entries', 'lottery-picker'); ?></label>
                        <div class="column-buttons"></div>
                        <input type="hidden" id="selected_column" name="selected_column" required>
                        <p class="description"><?php _e('Choose the column containing the participant entries.', 'lottery-picker'); ?></p>
                    </div>
                </div>

                <!-- Optional Previous Non-Winners CSV Section -->
                <div class="form-group previous-winners-section">
                    <label for="previous_csv"><?php _e('Previous Non-Winners CSV (Optional)', 'lottery-picker'); ?></label>
                    <p class="description"><?php _e('Upload previous non-winners to give them a 30% higher chance of winning.', 'lottery-picker'); ?></p>
                    <input type="file" id="previous_csv" name="previous_csv" accept=".csv">
                    
                    <div id="previous-column-selector" class="column-selector hidden">
                        <label><?php _e('Select Column for Previous Non-Winners', 'lottery-picker'); ?></label>
                        <div class="column-buttons"></div>
                        <input type="hidden" id="previous_selected_column" name="previous_selected_column">
                        <p class="description"><?php _e('Choose the column containing the previous non-winner entries.', 'lottery-picker'); ?></p>
                    </div>
                </div>

                <div class="form-group">
                    <button type="submit" id="run-lottery" class="button button-primary" style="display: none;">
                        <?php _e('Run Lottery', 'lottery-picker'); ?>
                    </button>
                </div>
            </form>
        </div>

        <div id="lottery-animation" style="display: none;">
            <div class="animation-container">
                <div class="spinning-entries"></div>
            </div>
        </div>

        <div id="lottery-results" style="display: none;">
            <h2><?php _e('Lottery Results', 'lottery-picker'); ?></h2>
            <div class="results-container">
                <p class="total-entries"></p>
                <div class="winners-list"></div>
                <p class="draw-date"></p>
            </div>
            <a href="#" id="view-winners-post" class="button button-secondary" style="display: none;">
                <?php _e('View Winners Post', 'lottery-picker'); ?>
            </a>
        </div>
    </div>
</div> 